Subject: Re: bug#21078: 24.5; Wish: Customize as a general-purpose configuration facility

From: Vaidheeswaran C <[email-masked]>
Date: Fri, 17 Jul 2015 07:27:17 +0530

On Thursday 16 July 2015 11:48 PM, Raffaele Ricciardi wrote:

> the widget interface that Customize creates is tightly tied to
> `Custom-mode'.  Yet, the same interface could be useful to any
> package that requires users to perform some kind of complex
> configuration (for example: configuring a software project before
> compiling).

Do you want something more than what is documented in this node:

    (info "(eieio) Customizing")